Subject: An article worth reading

From: Renxiao Wang <[email-masked]>
Date: Mon, 29 Jan 2001 20:03:25 -0800 (PST)

Dear all,

I highly recommend you to read the article appearing on the latest issue
of Chemical and Engineering News: 2001, Jan 29, p37-38, which is entitled
as "Drowning in a sea of refereed publications". The author challenged the
out-of-control scientific publication realm and made some good wishes. I
think I agree with most of his points.

Yes we are definitely flooded with too many junk papers. Here I would like
to give you an example. I read a paper before, in which the author cited
about 100 references. 60 or 70 of them are the previous work of his own
and here is how he cited them (something like that): "we have also applied
this method to other systems [20-80], ...". Ooops. 

So what do you say?

Dr. Renxiao Wang
Georgetown University, Medical Center